# auto-l3

## Configuration

### Environment Variables

First, copy the example environment file [`.env.example`](<.env.example>) to `.env`.

```bash
cp .env.example .env
```

`.env` is a special file that is read automatically by `docker-compose` or `podman-compose`.

### Network

**TODO**

> - `macvlan` or `ipvlan` recommended
> - Set `AUTO_L3_ADDRESS` to a static IPv6 address, that is reachable for vxlan clients

#### Wireguard Peers

Wireguard configuration files can be placed into the [`wireguard/`](<wireguard>) folder. See `man 8 wg` for the format.
Files should be named like `babel-$peer.conf` to be automatically used for babel peering.

```bash
cp wireguard/skel wireguard/babel-peer1.conf
```

## Build

```bash
docker-compose build
```
```bash
podman-compose build
```

## Run

Use `docker-compose up` or `podman-compose up` to start the container
