#!/bin/sh

set -ex

: ${AUTO_L3_IPV6:?}
: ${AUTO_L3_PREFIX:?}
: ${AUTO_L3_PREFIX_LEN:?}
: ${AUTO_L3_DELEGATED_LEN:?}
: ${AUTO_L3_RXCOST_PEERING:?}
: ${AUTO_L3_RXCOST_VXLAN:?}

ip -6 rule add table local prio 1000
ip -4 rule add table local prio 1000
ip -6 rule del table local prio 0
ip -4 rule del table local prio 0

ip link add dev auto-l3 up type vrf table auto-l3
ip address add "${AUTO_L3_IPV6}" dev auto-l3

ip link add dev vxlan0 up mtu 1412 master auto-l3 up \
	type vxlan id 243 dev eth0 local "::" dstport 4789 srcport 4789 4790 ageing 30

ip -6 rule del l3mdev
ip -4 rule del l3mdev
ip -6 rule add l3mdev prio 0
ip -4 rule add l3mdev prio 0
ip -6 rule add l3mdev prio 100 unreachable
ip -4 rule add l3mdev prio 100 unreachable

ip -c -6 rule
ip -c -4 rule
ip -c link

mkdir -p /run/runit

exec "$@"
